Create Platform workload identity provider
POST
/organization/workload_identity_providersRegister an OIDC provider for keyless project service-account authentication.
Create Platform workload identity provider
curl -X POST "https://api.openai.com/v1/organization/workload_identity_providers" \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "CI provider",
"type": "oidc",
"issuer": "https://issuer.example.com",
"audience": "openai"
}'
Response example
{
"object": "organization.workload_identity_provider",
"id": "wip_example",
"type": "oidc",
"name": "CI provider",
"issuer": "https://issuer.example.com",
"audience": "openai",
"verification": {
"type": "discovery",
"discovery_url": null
},
"description": null,
"attribute_transformations": [],
"enabled": true,
"created_at": 1793664000,
"updated_at": 1793664000
}
Returns Examples
Response example
{
"object": "organization.workload_identity_provider",
"id": "wip_example",
"type": "oidc",
"name": "CI provider",
"issuer": "https://issuer.example.com",
"audience": "openai",
"verification": {
"type": "discovery",
"discovery_url": null
},
"description": null,
"attribute_transformations": [],
"enabled": true,
"created_at": 1793664000,
"updated_at": 1793664000
}